Package groovy.transform

# Annotation Type VisibilityOptions

@Documented @Retention(SOURCE) @Target({TYPE,CONSTRUCTOR,METHOD}) public @interface VisibilityOptions
Marker annotation used in the context of AST transformations to provide a custom visibility.

Since:
  2.5.0

- ## Optional Element Summary

  Optional Elements
  Modifier and Type
  Optional Element
  Description
  `Visibility`
  `constructor`
  `String`
  `id`
  `Visibility`
  `method`
  `Visibility`
  `type`
  `Visibility`
  `value`

- ## Element Details

  - ### value

    Visibility value
    Default:
      UNDEFINED

  - ### id

    String id
    Default:
      "<DummyUndefinedMarkerString-DoNotUse>"

  - ### type

    Visibility type
    Default:
      UNDEFINED

  - ### method

    Visibility method
    Default:
      UNDEFINED

  - ### constructor

    Visibility constructor
    Default:
      UNDEFINED